Subject: [PATCH] of: amba: use of_dma_configure for AMBA devices

From: [email-masked] (Arnd Bergmann)
Date: Fri, 26 Sep 2014 00:36:51 +0200

On Monday 22 September 2014, Catalin Marinas wrote:
> On Thu, Sep 18, 2014 at 01:55:36PM +0100, Catalin Marinas wrote:
> > On Thu, Sep 18, 2014 at 12:35:32PM +0100, Robin Murphy wrote:
> > > On 17/09/14 19:05, Will Deacon wrote:
> > > > On Wed, Sep 17, 2014 at 06:47:19PM +0100, Rob Herring wrote:
> > > >> On Wed, Sep 17, 2014 at 12:03 PM, Will Deacon <[email-masked]> wrote:
> > > >>> On Wed, Sep 17, 2014 at 12:56:07PM +0100, Robin Murphy wrote:
> > > >>>> Commit 591c1e ("of: configure the platform device dma parameters)
> > > >>>> introduced a common mechanism to configure DMA from DT properties.
> > > >>>> AMBA devices created from DT can take advantage of this, too.
> > > >>>>
> > > >>>> Signed-off-by: Robin Murphy <[email-masked]>
> > > >>>
> > > >>>    Acked-by: Will Deacon <[email-masked]>
> > > >>>
> > > >>> It would be great if the arm-soc guys can pick this up.
> > > >>
> > > >> Is this a dependency for something else? If so,
> > > >>
> > > >> Acked-by: Rob Herring <[email-masked]>
> > > >
> > > > Yeah, it's going to be needed by my IOMMU init rework so that AMBA devices
> > > > get registered with their IOMMUs.
> > > 
> > > Noob question: Does that mean I should resend (with ACKs) to 
> > > arm at kernel.org? (I wasn't entirely sure where this should go, hence just 
> > > throwing at the list with CCs)
> > 
> > If it is not part of a larger series you want to merge, Rob could pick
> > it up (he could add the acks as well).
> > 
> > Alternatively, I can get it via the arm64 tree together with an
> > additional patch removing the bus hooks in dma-mapping.c (maybe that's a
> > better option if no-one objects).
> 
> So I plan to take this patch via the arm64 tree together with the patch
> below (after some more testing):

Sounds good to me. If you haven't already done so, please add

Acked-by: Arnd Bergmann <[email-masked]>

	Arnd